%define	oname	matplotlib
%define	name	python-%{oname}
%define	version	0.90.0
%define	rel	1
%define	release	%mkrel %{rel}

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Matlab-style 2D plotting package for Python
Group:		Development/Python
License:	Python license
URL:		http://matplotlib.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/matplotlib/%{oname}-%{version}.tar.bz2
Requires:	pygtk2.0, python-numeric, python-numarray, python-numpy
Requires:	wxPythonGTK, python-cairo >= 1.2.0
BuildRequires:	python-numeric-devel, python-numarray-devel, python-numpy-devel, pygtk2.0-devel 
BuildRequires:	libwxPythonGTK-devel, libwxgtk2.6-devel, cairo-devel
%if %mdkversion > 200600
BuildRequires:	tcl-devel, tk-devel, freetype-devel 
%elseqq
BuildRequires:  tcl, tk, devel(libfreetype)
%endif 
BuildRequires:  python-devel, libpng-devel, zlib-devel 
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
matplotlib is a 2D plotting library for Python which produces
publication quality figures in a variety of hardcopy formats and
interactive environments across platforms. matplotlib can be used in
Python scripts, the python and ipython shell (ala Matlab or
Mathematica), web application servers, and six graphical user
interface toolkits.

%prep
%setup -q -n %{oname}-%{version} 

%build
find -name .cvsignore | xargs rm -rf

%__python setup.py build

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --record=INSTALLED_FILES

%clean
%__rm -rf %{buildroot}

%files -f INSTALLED_FILES
%defattr(-,root,root)
%doc license/ examples/ README TODO CHANGELOG INSTALL INTERACTIVE KNOWN_BUGS PKG-INFO API_CHANGES NUMARRAY_ISSUES


%changelog
* Wed Feb 07 2007 Lev Givon <lev@mandriva.org> 0.90.0-1mdv2007.1
+ Revision: 117115
- Update to 0.90.0.

* Fri Jan 26 2007 Lev Givon <lev@mandriva.org> 0.87.7-3mdv2007.1
+ Revision: 114197
- Improve dependency information.

* Sun Dec 10 2006 Lev Givon <lev@mandriva.org> 0.87.7-2mdv2007.1
+ Revision: 94418
- Bump release to force rebuild with Python 2.5.

* Wed Nov 01 2006 Lev Givon <lev@mandriva.org> 0.87.7-1mdv2007.1
+ Revision: 75080
- Update to 0.87.7.

* Wed Nov 01 2006 Lev Givon <lev@mandriva.org> 0.87.6-2mdv2007.1
+ Revision: 75024
- Raise release number to placate build system.
- Update to 0.87.6.
- Import python-matplotlib



* Sun Jul 16 2006 Lev Givon <lev@mandriva.org> 0.87.4-2mdk
- Rebuild against python-numpy 1.0b1.

* Sun Jul 16 2006 Lev Givon <lev@mandriva.org> 0.87.4-1mdk
- Update version.

* Mon Jun 12 2006 Lev Givon <lev@mandriva.org> 0.87.3-1mdk
- Update version.

* Mon Mar 27 2006 Lev Givon <lev@mandriva.org> 0.87.2-3mdk
- add mpl3d module

* Fri Mar 24 2006 Lev Givon <lev@mandriva.org> 0.87.2-2mdk
- make buildreqs backward compatible

* Sun Mar 19 2006 Lev Givon <lev@mandriva.org> 0.87.2-1mdk
- upgrade to 0.87.2
- add numpy dependency

* Fri Feb 3 2006 Lev Givon <lev@mandriva.org> 0.86.2-1mdk
- upgrade to 0.86.2
- fix installation datapath

* Tue Jan 03 2006 Oden Eriksson <oeriksson@mandriva.com> 0.85-1mdk
- 0.85
- fix deps

* Sun Jul 31 2005 Lev Givon <lev@mandriva.org> 0.83.2-1mdk
- upgrade to 0.83.2

* Tue Jul 19 2005 Lenny Cartier <lenny@mandriva.com> 0.82-5mdk
- add examples (Lev Givon)
- add Python license to satisfy rpmlint

* Thu Jul 14 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.82-4mdk
- fix buildrequires

* Tue Jul 12 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.82-3mdk
- fix requres

* Thu Jun 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.82-2mdk
- blah, fix buildrequires

* Thu Jun 16 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.82-1mdk
- inital release
